REGULATOR_GET_HARDWA(9)

NAME
regulator_get_hardware_vsel_register - get the HW voltage selector register

SYNOPSIS

int regulator_get_hardware_vsel_register(struct regulator * regulator, unsigned * vsel_reg, unsigned * vsel_mask);

ARGUMENTS

regulator
    regulator source

vsel_reg
    voltage selector register, output parameter

vsel_mask
    mask for voltage selector bitfield, output parameter

DESCRIPTION

Returns the hardware register offset and bitmask used for setting the regulator voltage. This might be useful when configuring voltage-scaling hardware or firmware that can make I2C requests behind the kernel's back, for example.

On success, the output parameters vsel_reg and vsel_mask are filled in and 0 is returned, otherwise a negative errno is returned.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT